Package org.eclipse.net4j.jvm

# Interface IJVMAcceptorManager

public interface IJVMAcceptorManager
A singleton that manages all `JVM acceptors` in the current JVM.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IJVMAcceptorManager`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`IJVMAcceptor`
`getAcceptor(String name)`
`org.eclipse.net4j.util.registry.IRegistry<String,IJVMAcceptor>`
`getAcceptorRegistry()`

## Field Details

### INSTANCE

static final IJVMAcceptorManager INSTANCE

## Method Details

### getAcceptorRegistry

org.eclipse.net4j.util.registry.IRegistry<String,IJVMAcceptor> getAcceptorRegistry()

### getAcceptor

IJVMAcceptor getAcceptor(String name)